#include <iostream>

template <typename ... Args>
void foo (Args ... args) {
	
    std::cout << "number of args: " << sizeof... (Args) << "\n";

    size_t x = sizeof...(Args);

    for (int i = 0; i < x; i++)
    {
        // pozor, funguje pro C++17
        (std::cout << i << ": " << ... << args) << "\n"; 
    }

}

int main() {

    foo();               // 0
    foo(1);              // 1
    foo("string", 3.14); // 2

    return 0;
}
