#include <iostream>

struct S {
	int x; double y;
	S (int _x, double _y) : x(_x), y(_y) {}
};

int main() 
{
    S f(29, 3.14);

    auto && [x, y] = f;
    std::cout << "x: " << x << ", y: " << y << std::endl;

    x = 30;

    const auto [u, v] = f;
    std::cout << "x: " << u << ", y: " << v << std::endl;

    return 0;
}