#include <iostream>
#include <string>

template<typename ... Args>
auto sum (Args ... args) 
{ 
    return (args + ... + 0); 
}

template<typename ... Args> 
auto sum2 (Args ... args)
{ 
    return (args + ...);
}

int main()
{
    std::cout << sum(1, 2, 3, 4, 5, 6, 7) << "\n";
	std::cout << sum2(1, 2, 3, 4, 5, 6, 7) << "\n";

    return 0;
}